Skip to main content
PATCH
Update device group

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

id
string<uuid>
required

A UUID string identifying this device group.

Body

Serializer for DeviceGroup model (create, read, update).

name
string
Maximum string length: 255
slug
string
Maximum string length: 255
Pattern: ^[-a-zA-Z0-9_]+$
description
string
site
string<uuid>
device_ids
string<uuid>[]
write-only

List of device UUIDs to include in the group.

Maximum array length: 1000
annotations
object

Key-value annotations. Keys must start with a lowercase letter and contain only lowercase alphanumeric segments joined by hyphens or underscores (e.g. 'org-id', 'gpu_ready').

tags
string[]

Tags for the resource. Must start with a lowercase letter and contain only lowercase alphanumeric segments joined by hyphens or underscores (e.g. 'gpu-ready', 'needs_review'). Stored deduplicated and sorted.

Response

Serializer for DeviceGroup model (create, read, update).

id
string<uuid>
required
read-only
name
string
required
Maximum string length: 255
slug
string
required
Maximum string length: 255
Pattern: ^[-a-zA-Z0-9_]+$
site
string<uuid>
required
site_name
string
required
read-only
devices
string<uuid>[]
required
read-only
device_names
string[]
required
read-only
device_count
integer
required
read-only
created_at
string<date-time>
required
read-only
updated_at
string<date-time>
required
read-only

Serializer for device group links.

description
string
annotations
object

Key-value annotations. Keys must start with a lowercase letter and contain only lowercase alphanumeric segments joined by hyphens or underscores (e.g. 'org-id', 'gpu_ready').

tags
string[]

Tags for the resource. Must start with a lowercase letter and contain only lowercase alphanumeric segments joined by hyphens or underscores (e.g. 'gpu-ready', 'needs_review'). Stored deduplicated and sorted.